/**
 * OrganizationNamePartQualifier2.java
 *
 * File generated from the medication2::OrganizationNamePartQualifier2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration OrganizationNamePartQualifier2.
 *
 * 
 */

@XmlType(name = "OrganizationNamePartQualifier")
@XmlEnum
@XmlRootElement(name = "OrganizationNamePartQualifier2")
public enum OrganizationNamePartQualifier2 {
	@XmlEnumValue("LS")
	LS("LS");
	
	private final String value;

    OrganizationNamePartQualifier2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static OrganizationNamePartQualifier2 fromValue(String v) {
        for (OrganizationNamePartQualifier2 c: OrganizationNamePartQualifier2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
